
QGIS Application - Bug report #13489

GEOSGeometryPrecisionReducer_create entry point not found

2015-10-02 03:44 AM - Tom Chadwin

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: Win7 x64 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 21534

Description

Just downloaded nightly. On startup, I get the following error dialog:

qgis-dev-bin.exe - Entry Point Not Found

The procedure entry point GEOSGeometryPrecisionReducer_create could not be located in the dynamic link library geos_c.dll

QGIS then fails to launch.

History

#1 - 2015-10-02 05:35 AM - Tom Chadwin

This was an install of the nightly alongside 2.10. Reinstalling did not help. Only solution was a full uninstall of all OS4Geo elements, then reinstall just the

nightly. Now the error has gone.

#2 - 2015-10-02 06:03 AM - Jürgen Fischer

I suppose geos was not upgraded for some reason.

#3 - 2015-10-02 06:04 AM - Jürgen Fischer

- Status changed from Open to Feedback

#4 - 2015-10-05 03:40 AM - Jürgen Fischer

- Priority changed from Severe/Regression to Normal

Downgrading - probably a local problem.  Still waiting for feedback...

#5 - 2015-10-05 03:49 AM - Tom Chadwin

Unsure what feedback required.

#6 - 2015-10-05 05:11 AM - Jürgen Fischer

Well, can you reproduce the problem?  Was GEOS uptodate?
#7 - 2015-10-05 08:34 AM - Tom Chadwin

- Status changed from Feedback to Closed

Uninstalled qgis-dev and qgis via OSGeo installer. Reinstalled. Problem did not reoccur. I have no information of GEOS versions - qgis, qgis-dev, and

qt4-devel are all I have used. Closing as cannot recreate.

#8 - 2015-10-05 08:52 AM - Jürgen Fischer

- Resolution set to not reproducable

Tom Chadwin wrote:

Uninstalled qgis-dev and qgis via OSGeo installer. Reinstalled. Problem did not reoccur. I have no information of GEOS versions - qgis, qgis-dev,

and qt4-devel are all I have used. Closing as cannot recreate.

Thanks.
